HappHapp Docs
Companies

Upload company logo

POST
/api/companies/{id}/logo

Uploads a workspace logo. The image is re-encoded server-side to a 512x512 webp square. Requires owner or admin role.

Authorization

access-token
X-Access-Token<token>

Enter your Access Token (format: happ_...)

In: header

Path Parameters

id*string

Company unique identifier

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/companies/123e4567-e89b-12d3-a456-426614174000/logo" \  -F file="string"
Empty
Empty
Empty
Empty